# Interface MDirectToolItem

All Superinterfaces:
  `MApplicationElement, MContribution, MItem, MLocalizable, MToolBarElement, MToolItem, MUIElement, MUILabel`

All Known Implementing Classes:
  `DirectToolItemImpl`

public interface MDirectToolItem extends MToolItem, MContribution
A representation of the model object 'Direct Tool Item'.

This is the concrete class use to represent a tool item that is directly invoked when selected. The supplied contribution is asked to execute when selected.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

### Methods inherited from interface MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface MContribution

`getContributionURI, getObject, setContributionURI, setObject`

### Methods inherited from interface MItem

`getType, isEnabled, isSelected, setEnabled, setSelected, setType`

### Methods inherited from interface MLocalizable

`updateLocalization`

### Methods inherited from interface MToolItem

`getMenu, setMenu`

### Methods inherited from interface MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`